/**
 * @(#)javadbmain.java
 *
 *
 * @author
 * @version 1.00 2011/11/3
 */
import java.sql.*;

class Util{
	public static void check(String args[]){
		if(args.length!=3){
			System.out.println("You must give <DataSourceName><User_ID><Password>!!!");
			System.exit(0);
		}
	}
	public static Connection connect(String args[]){
		try{
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
			String url="jdbc:odbc:"+args[0];
			return DriverManager.getConnection(url,args[1],args[2]);
		}

	catch(Exception e){
		System.err.println("Connection error open");
	System.exit(0);
	return null;
	}
}

public void disconnect(Connection con) throws Exception{
	try{
		System.out.println("Disconnection from"+con.getMetaData().getURL());
		con.close();

	}
	catch(Exception e){
			System.err.println("Connection error");
	System.err.println(e);
	throw e;
	}
}}
public class javadbmain {

    /**
     * Creates a new instance of <code>javadbmain</code>.
     */
    public javadbmain() {
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        Util.check(args);
        try{
        	Connection con = Util.connect(args);
        	Statement stmt= con.createStatement();
        	ResultSet rs= stmt.executeQuery("SELECT bookid,bookname,bookauthor,CITY FROM book");
        	System.out.println("Data retrieval from table 'Polites:'");
        	while (rs.next()){
        		int id=rs.getInt("bookid");
        		String name= rs.getString("bookname");
        		String author= rs.getString("bookauthor");
        		String city= rs.getString("CITY");
        		System.out.println("The person with id=  " +id+"has the name:   "+name+"and author was   "+bookauthor+ "city was   "+city);
        	}
        	stmt.close();
        	con.close();

        }
        catch (Exception e){
        	e.printStackTrace();
        	System.exit(1);
        }
        System.exit(0);
    }
}
